Gantry::Template::Framing(3)

NAME
Gantry::Template::Framing - Framing plugin for Gantry.

SYNOPSIS
  use Gantry::Template::Framing;

DESCRIPTION
To use Old World framing do something like this:

    use Gantry qw/ -Engine=YourChoice -TemplateEngine=Framing /;

This plugin module contains the method calls for the Template Framing.

METHODS

$self->do_action
    "do_action" is a required function for the template plugin. It purpose is to call or dispatch to the appropriate method. This function is passed three parameters:

    my( $self, $action, @path_array ) = @_;

    This method is responsible for calling the controller method and storing the output from the controller.

$self->do_error
    This method gives you the flexibility of logging, re-estabilishing a database connection, rebuilding the template object, etc.

$self->do_process
    This method is the final step in the template plugin. Here you need call the template object passing the controller data and return the output.

webapp_get_framing
    A function for internal use. Returns to other methods of this class an old world framing object.

template_engine
    Returns the package name.

SEE ALSO
Gantry(3), Gantry::Template::TT

LIMITATIONS

AUTHOR
Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-6, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.